<?php
// Version 1.01 - 29-Jun-2017 - added autoplaystartup + map selection
// Version 1.04 - 05-Jul-2017 - corrected attributions for script, added backgroundcolor option
############################################################################
# wxradio settings
#
$startup = 'KEC49'; // Radio for first display, if 'alternate' include the -[char] in the name
//                     like 'KEC49-A'.  That value is displayed on the page after Station:
//                     when the station is selected in the dropdown list.
// Note that specific stream calls for alternate streams may change so it's best to use a
//   different search (such as the below) to select a specific stream for initial display.
//
//You can also use the City, provider name or website name to match.
// $startup = 'Monterey Marine';
// $startup = 'saratoga-weather.org';
// $startup = 'mikev';
$streamprovider = true; // =true if you provide a stream, =false if you don't provide a stream
//
$googleAPI = '-your-Google-Map-API-key-here-'; // your Google Maps API key
//
$mapType   = 'terrain';  // ='roadmap', ='terrain', ='satellite', ='hybrid' for Google Map
#
$autoplaystartup = false; // =true; start audio when page loads, =false; no autoplay on page load
#
$setCols = '8'; // number of columns (6 ... 12) to set overall width of display
#
$backgroundColor = 'lavenderblush'; // CSS color name or #rrggbb hex format style for overall player
# see https://www.w3schools.com/cssref/css_colors.asp for color names and hex codes
#
############################################################################
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
  <title>NOAA/EC Weather Radio</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
  <script src="NWR-radios-data.php"></script>
<?php
  print "<script type=\"text/javascript\">\n";
	print "  var startup = \"$startup\"; // station selection\n";
	$s = ($streamprovider)?'true':'false';
	print "  var streamprovider = $s; // site provides one/more streams\n";
	print "  var mapType = '$mapType'; // Google Map Type\n";
	$s = ($autoplaystartup)?'true':'false';
	print "  var autoplaystartup = $s; // =true; audio plays at page load, =false; no auto play at page load\n";
	print "</script>\n";
?>
  <script src="NWR-radios.js"></script>
    <!-- Bootstrap core CSS -->
    <link href="http://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.1.1/css/bootstrap.css" rel="stylesheet" media="screen">
    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="http://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7/html5shiv.js"></script>
      <script src="http://cdnjs.cloudflare.com/ajax/libs/respond.js/1.3.0/respond.js"></script>
    <![endif]-->
<style type="text/css">
html, body {
  height: 100%;
}

#map{
  margin: 0;
  padding: 0;
  height: 50%;
  width: 100% !important;
}
}.container-fluid {
  width: 100% !important;
}
</style>
</head>

<body>
  <!-- radios.php - Version 1.00 - 28-Jun-2017 -->
  <div class="container-fluid">
      <div class="row">
        <div class="col-sm-<?php print $setCols; ?>" style="background-color:<?php print $backgroundColor; ?>; text-align: center; border: solid 2px black; border-radius: 10px">
          <h2><span id="logo"></span>&nbsp;&nbsp;NOAA/EC&nbsp;All Hazards Radio<br/><span id="stationcount"></span></h2>
          <div>Select Weather Radio Station Below</div>
          <noscript><strong>Note: JavaScript must be enabled to select audio streams and to display the Google map.</strong></noscript>
          <div id="dropdown"></div>
          <br />
          <div id="radio"></div>
          <div>Station: <span id="station" style="color:green" ></span></div>
          <div>Frequency: <span id="freq" style="color:green"></span></div>
          <div><span id="locate" style="color:green"></span></div>
          <div>Transmitter location: <span id="xmloc" style="color:green"></span></div>
          <div>Stream Provided By: <span id="provide" style="color:green"></span></div>
          <p><small>Radio transmission courtesy of <a href="http://www.nws.noaa.gov/nwr/">NOAA</a> or <a href="http://www.ec.gc.ca/meteo-weather/default.asp?lang=En&amp;n=792F2D20-1">Environment Canada.</a></small></p>
          <p><b>This Audio Stream Player is not to be used for protection of life or property.</b>  Please see below for more details.<br/>
          These audio streams are graciously provided by personal weather website owners and others though <a href="http://noaaweatherradio.org/" target="_blank">NOAAWEATHERRADIO.org</a>.</p> 
          <div id="provider"></div>
          <div id="map_container" style="border: solid 2px black; border-radius: 10px; height:500px; background-color: white ">
              <div class="row">
                  <div class="col-sm-12">
                      <div id="map" style="z-index: 0;width: 95%; height: 495px; padding: 10px"> Loading Map</div>
                  </div>
              </div>
          </div>
          <div style="border: solid 2px black; border-radius: 10px">
              <h3 id="maphead">LOADING&nbsp;DATA - PLEASE&nbsp;STANDBY</h3>
              <span id="cmap"></span>
          </div>
          <div style="text-align:left">
              <b>This Audio Stream Player is not to be used for protection of life or property.</b> Please remember that you should NOT rely on this Internet audio to receive watches or warnings. Instead, you should have your own dedicated <a href="http://www.nws.noaa.gov/nwr/" target="_blank">NOAA</a> or <a href="http://www.ec.gc.ca/meteo-weather/default.asp?lang=En&amp;n=792F2D20-1" target="_blank">Environment Canada</a> Weather Radio receiver which will alert you 24 hours a day to hazards in your area.  This stream player is provided as a convenience and is not an authoritative source for official watches, warnings or advisories -- those should be obtained directly using your own NOAA or EC Weather Radio receiver.  Please do not rely on this page as your only source to hear NOAA/EC radio. When you need it most, storms may cause power outages at this end. It is a good idea to mainly rely on a separate NOAA/EC radio with battery back-up. <br/><br/>
              <b>Note:</b> Due to streaming software delays, this audio may be behind the NOAA/EC radio broadcast.
            <br/><br/>
              If you are interested in providing a stream for a NOAA/EC weather radio in your area, please
              see <a href="http://noaaweatherradio.org/" target="_blank">noaaweatherradio.org</a> website "How To?" page for details to submit an audio stream.
              
              <br/><br/>
              Stream data last updated: <span id="update"></span>
            <br/><br/>
<small>The NOAA/EC Radio player script set was developed by:<br/>
<a href="http://chappelleweather.com/" target="_blank">Chappelleweather.com</a> with mods by  
<a href="http://cliftonvaweather.com/" target="_blank">Clifton Virginia Weather</a>, 
<a href="http://www.gwwilkins.org/" target="_blank">SE Lincoln Weather</a>, and 
<a href="https://saratoga-weather.org/" target="_blank">Saratoga-weather.org</a></small>
          </div>
      </div>
      </div> <!-- end row -->
  </div> <!-- end container -->

<script async defer 
 src="https://maps.googleapis.com/maps/api/js?key=<?php echo $googleAPI; ?>&amp;language=en"></script>

</body>
</html>